Bug 313501 - digiKam crashes, when contributing tags (very slow tag storage)
Summary: digiKam crashes, when contributing tags (very slow tag storage)
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Tags-Engine (show other bugs)
Version: 2.8.0
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-19 13:03 UTC by Axel Krebs
Modified: 2022-01-22 16:50 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 7.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Axel Krebs 2013-01-19 13:03:45 UTC
Application: digikam (2.8.0)
KDE Platform Version: 4.9.4 (Compiled from sources)
Qt Version: 4.8.3
Operating System: Linux 3.5.0-22-generic x86_64
Distribution: Ubuntu 12.10

-- Information about the crash:
When attributing tags to some douzends of pics, digiKam crashes.
Without clear proof, it looks like digiKam slows down more and more

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
[Current thread is 1 (Thread 0x7f59491c3a00 (LWP 6704))]

Thread 28 (Thread 0x7f59245a0700 (LWP 6705)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f594333504b in wait (time=18446744073709551615, this=0x1ef9c60) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1ef9b58, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005eea33 in Digikam::ScanController::run() ()
#4  0x00007f5943334aec in QThreadPrivate::start (arg=0x221a430) at thread/qthread_unix.cpp:338
#5  0x00007f593de3be9a in start_thread (arg=0x7f59245a0700) at pthread_create.c:308
#6  0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 27 (Thread 0x7f5923d9f700 (LWP 6706)):
#0  0x00007f5942552303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f593b85fd84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f593b85fea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f594345fc16 in QEventDispatcherGlib::processEvents (this=0x7f59140008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f59434302bf in QEventLoop::processEvents (this=this@entry=0x7f5923d9eb50, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f5943430548 in QEventLoop::exec (this=0x7f5923d9eb50, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f5943331b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007f59434109af in QInotifyFileSystemWatcherEngine::run (this=0x1ef79e0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f5943334aec in QThreadPrivate::start (arg=0x1ef79e0) at thread/qthread_unix.cpp:338
#9  0x00007f593de3be9a in start_thread (arg=0x7f5923d9f700) at pthread_create.c:308
#10 0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 26 (Thread 0x7f592359e700 (LWP 6765)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f594333504b in wait (time=18446744073709551615, this=0x1edcd90) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x213a8c8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f5946794a47 in Digikam::ParkingThread::run() () from /usr/lib/libdigikamcore.so.2
#4  0x00007f5943334aec in QThreadPrivate::start (arg=0x213a8b0) at thread/qthread_unix.cpp:338
#5  0x00007f593de3be9a in start_thread (arg=0x7f592359e700) at pthread_create.c:308
#6  0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 25 (Thread 0x7f59117dc700 (LWP 6766)):
#0  0x00007f593de3f05d in __pthread_mutex_unlock_usercnt (mutex=<optimized out>, decr=<optimized out>) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x7f590c000a60) at pthread_mutex_unlock.c:290
#2  0x00007f593b89ce51 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f593b85fc9e in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f593b85fea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f594345fc16 in QEventDispatcherGlib::processEvents (this=0x7f590c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f59434302bf in QEventLoop::processEvents (this=this@entry=0x7f59117dbb50, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f5943430548 in QEventLoop::exec (this=0x7f59117dbb50, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f5943331b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#9  0x00007f59434109af in QInotifyFileSystemWatcherEngine::run (this=0x298de00) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x00007f5943334aec in QThreadPrivate::start (arg=0x298de00) at thread/qthread_unix.cpp:338
#11 0x00007f593de3be9a in start_thread (arg=0x7f59117dc700) at pthread_create.c:308
#12 0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 24 (Thread 0x7f58c2f83700 (LWP 7565)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f594333504b in wait (time=18446744073709551615, this=0x158986e0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x15897858, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f58f3b77bca in KIPIPlugins::KPRawThumbThread::run() () from /usr/lib/libkipiplugins.so.2
#4  0x00007f5943334aec in QThreadPrivate::start (arg=0x15897ce0) at thread/qthread_unix.cpp:338
#5  0x00007f593de3be9a in start_thread (arg=0x7f58c2f83700) at pthread_create.c:308
#6  0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 23 (Thread 0x7f58c2782700 (LWP 7568)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f594333504b in wait (time=18446744073709551615, this=0x157973c0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x14f544a8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f58f3255a1e in KIPIExpoBlendingPlugin::ActionThread::run() () from /usr/lib/kde4/kipiplugin_expoblending.so
#4  0x00007f5943334aec in QThreadPrivate::start (arg=0x13d53840) at thread/qthread_unix.cpp:338
#5  0x00007f593de3be9a in start_thread (arg=0x7f58c2782700) at pthread_create.c:308
#6  0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 22 (Thread 0x7f58c1422700 (LWP 7583)):
#0  0x00007f593e7c7fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f593e7c682e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f593de3be9a in start_thread (arg=0x7f58c1422700) at pthread_create.c:308
#3  0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 21 (Thread 0x7f58c0c21700 (LWP 7584)):
#0  0x00007f593e7c7fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f593e7c682e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f593de3be9a in start_thread (arg=0x7f58c0c21700) at pthread_create.c:308
#3  0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 20 (Thread 0x7f58ba3d9700 (LWP 7585)):
#0  0x00007f593e7c7fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f593e7c682e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f593de3be9a in start_thread (arg=0x7f58ba3d9700) at pthread_create.c:308
#3  0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7f58d9b79700 (LWP 8140)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f594333504b in wait (time=18446744073709551615, this=0x18f9ac30) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x18f99da8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f58f3b77bca in KIPIPlugins::KPRawThumbThread::run() () from /usr/lib/libkipiplugins.so.2
#4  0x00007f5943334aec in QThreadPrivate::start (arg=0x18f9a230) at thread/qthread_unix.cpp:338
#5  0x00007f593de3be9a in start_thread (arg=0x7f58d9b79700) at pthread_create.c:308
#6  0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7f58dab7b700 (LWP 9821)):
#0  0x00007fffdffd160c in ?? ()
#1  0x00007fffdffd189c in clock_gettime ()
#2  0x00007f593a4ce15d in __GI_clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:116
#3  0x00007f594338a9c4 in do_gettime (frac=0x7f58dab7a898, sec=0x7f58dab7a890) at tools/qelapsedtimer_unix.cpp:123
#4  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#5  0x00007f594346041d in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f58ce0f4210) at kernel/qeventdispatcher_unix.cpp:343
#6  0x00007f5943460763 in QTimerInfoList::timerWait (this=0x7f58ce0f4210, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#7  0x00007f594345f2cc in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f58dab7a984) at kernel/qeventdispatcher_glib.cpp:136
#8  0x00007f594345f375 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#9  0x00007f593b85f618 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f593b85fcab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f593b85fea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#12 0x00007f594345fc16 in QEventDispatcherGlib::processEvents (this=0x7f58ce0f5af0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#13 0x00007f59434302bf in QEventLoop::processEvents (this=this@entry=0x7f58dab7ab40, flags=...) at kernel/qeventloop.cpp:149
#14 0x00007f5943430548 in QEventLoop::exec (this=0x7f58dab7ab40, flags=...) at kernel/qeventloop.cpp:204
#15 0x00007f5946793fd3 in Digikam::WorkerObjectRunnable::run() () from /usr/lib/libdigikamcore.so.2
#16 0x00007f594332845d in QThreadPoolThread::run (this=0x1586b840) at concurrent/qthreadpool.cpp:107
#17 0x00007f5943334aec in QThreadPrivate::start (arg=0x1586b840) at thread/qthread_unix.cpp:338
#18 0x00007f593de3be9a in start_thread (arg=0x7f58dab7b700) at pthread_create.c:308
#19 0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#20 0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7f5905999700 (LWP 9824)):
#0  0x00007f593e7c7fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f593e7c682e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f593de3be9a in start_thread (arg=0x7f5905999700) at pthread_create.c:308
#3  0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f58da37a700 (LWP 9825)):
#0  0x00007f593e7c7fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f593e7c682e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f593de3be9a in start_thread (arg=0x7f58da37a700) at pthread_create.c:308
#3  0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f58d9378700 (LWP 9826)):
#0  0x00007f593e7c7fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f593e7c682e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f593de3be9a in start_thread (arg=0x7f58d9378700) at pthread_create.c:308
#3  0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f58b2d40700 (LWP 9980)):
#0  0x00007f593b85f197 in g_main_context_release () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f593b85fd35 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f593b85fea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f594345fc16 in QEventDispatcherGlib::processEvents (this=0x7f58e00d8bc0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f59434302bf in QEventLoop::processEvents (this=this@entry=0x7f58b2d3fb40, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f5943430548 in QEventLoop::exec (this=0x7f58b2d3fb40, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f5946793fd3 in Digikam::WorkerObjectRunnable::run() () from /usr/lib/libdigikamcore.so.2
#7  0x00007f594332845d in QThreadPoolThread::run (this=0xffb5020) at concurrent/qthreadpool.cpp:107
#8  0x00007f5943334aec in QThreadPrivate::start (arg=0xffb5020) at thread/qthread_unix.cpp:338
#9  0x00007f593de3be9a in start_thread (arg=0x7f58b2d40700) at pthread_create.c:308
#10 0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f58b253f700 (LWP 9981)):
#0  0x00007f5942552303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f593b85fd84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f593b85fea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f594345fc16 in QEventDispatcherGlib::processEvents (this=0x7f58dc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f59434302bf in QEventLoop::processEvents (this=this@entry=0x7f58b253eb40, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f5943430548 in QEventLoop::exec (this=0x7f58b253eb40, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f5946793fd3 in Digikam::WorkerObjectRunnable::run() () from /usr/lib/libdigikamcore.so.2
#7  0x00007f594332845d in QThreadPoolThread::run (this=0x14f2cc10) at concurrent/qthreadpool.cpp:107
#8  0x00007f5943334aec in QThreadPrivate::start (arg=0x14f2cc10) at thread/qthread_unix.cpp:338
#9  0x00007f593de3be9a in start_thread (arg=0x7f58b253f700) at pthread_create.c:308
#10 0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f58b1d3e700 (LWP 9982)):
#0  0x00007f5942552303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f593b85fd84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f593b85fea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f594345fc16 in QEventDispatcherGlib::processEvents (this=0x7f58940008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f59434302bf in QEventLoop::processEvents (this=this@entry=0x7f58b1d3db40, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f5943430548 in QEventLoop::exec (this=0x7f58b1d3db40, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f5946793fd3 in Digikam::WorkerObjectRunnable::run() () from /usr/lib/libdigikamcore.so.2
#7  0x00007f594332845d in QThreadPoolThread::run (this=0x7f58ce0c94d0) at concurrent/qthreadpool.cpp:107
#8  0x00007f5943334aec in QThreadPrivate::start (arg=0x7f58ce0c94d0) at thread/qthread_unix.cpp:338
#9  0x00007f593de3be9a in start_thread (arg=0x7f58b1d3e700) at pthread_create.c:308
#10 0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f58b153d700 (LWP 9983)):
#0  0x00007f593b89cba0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f593b89ce49 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f593b85f884 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f593b85fd22 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f593b85fea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f594345fc16 in QEventDispatcherGlib::processEvents (this=0x7f58d40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f59434302bf in QEventLoop::processEvents (this=this@entry=0x7f58b153cb40, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f5943430548 in QEventLoop::exec (this=0x7f58b153cb40, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f5946793fd3 in Digikam::WorkerObjectRunnable::run() () from /usr/lib/libdigikamcore.so.2
#9  0x00007f594332845d in QThreadPoolThread::run (this=0x7f58ce305ac0) at concurrent/qthreadpool.cpp:107
#10 0x00007f5943334aec in QThreadPrivate::start (arg=0x7f58ce305ac0) at thread/qthread_unix.cpp:338
#11 0x00007f593de3be9a in start_thread (arg=0x7f58b153d700) at pthread_create.c:308
#12 0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f5905198700 (LWP 16349)):
#0  0x00007f59425508bd in read () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f593b89c15f in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f593b85f914 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f593b85fd22 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f593b85fea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f594345fc16 in QEventDispatcherGlib::processEvents (this=0x7f58f80018d0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f59434302bf in QEventLoop::processEvents (this=this@entry=0x7f5905197b40, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f5943430548 in QEventLoop::exec (this=0x7f5905197b40, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f5946793fd3 in Digikam::WorkerObjectRunnable::run() () from /usr/lib/libdigikamcore.so.2
#9  0x00007f594332845d in QThreadPoolThread::run (this=0x193641a0) at concurrent/qthreadpool.cpp:107
#10 0x00007f5943334aec in QThreadPrivate::start (arg=0x193641a0) at thread/qthread_unix.cpp:338
#11 0x00007f593de3be9a in start_thread (arg=0x7f5905198700) at pthread_create.c:308
#12 0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f5904997700 (LWP 16354)):
#0  0x00007f593e7c7fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f593e7c682e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f593de3be9a in start_thread (arg=0x7f5904997700) at pthread_create.c:308
#3  0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f590358a700 (LWP 16355)):
#0  0x00007f593e7c7fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f593e7c682e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f593de3be9a in start_thread (arg=0x7f590358a700) at pthread_create.c:308
#3  0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f5903d8b700 (LWP 16356)):
#0  0x00007f593e7c7fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f593e7c682e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f593de3be9a in start_thread (arg=0x7f5903d8b700) at pthread_create.c:308
#3  0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f58b9bd8700 (LWP 21660)):
#0  0x00007f592cf7a6a0 in ?? () from /usr/lib/x86_64-linux-gnu/libsqlite3.so.0
#1  0x00007f592cf7b9f0 in sqlite3_free () from /usr/lib/x86_64-linux-gnu/libsqlite3.so.0
#2  0x00007f592cf7f4bd in ?? () from /usr/lib/x86_64-linux-gnu/libsqlite3.so.0
#3  0x00007f592cf89a05 in ?? () from /usr/lib/x86_64-linux-gnu/libsqlite3.so.0
#4  0x00007f592cf982ec in ?? () from /usr/lib/x86_64-linux-gnu/libsqlite3.so.0
#5  0x00007f5922b99eda in QSQLiteResult::exec (this=0x7f586c018210) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:432
#6  0x00007f5948dd0957 in QSqlQuery::exec (this=0x7f58b9bd7468) at kernel/qsqlquery.cpp:949
#7  0x00007f5946743c94 in Digikam::DatabaseCoreBackend::exec(Digikam::SqlQuery&) () from /usr/lib/libdigikamcore.so.2
#8  0x00007f5946742633 in Digikam::DatabaseCoreBackend::execQuery(Digikam::SqlQuery&, QVariant const&, QVariant const&, QVariant const&, QVariant const&) () from /usr/lib/libdigikamcore.so.2
#9  0x00007f594674225d in Digikam::DatabaseCoreBackend::execQuery(QString const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&) () from /usr/lib/libdigikamcore.so.2
#10 0x00007f5946741d5b in Digikam::DatabaseCoreBackend::execSql(QString const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&, QList<QVariant>*, QVariant*) () from /usr/lib/libdigikamcore.so.2
#11 0x00007f594674de47 in Digikam::ThumbnailDB::insertThumbnail(Digikam::DatabaseThumbnailInfo const&, QVariant*) () from /usr/lib/libdigikamcore.so.2
#12 0x00007f5946771a31 in Digikam::ThumbnailCreator::storeInDatabase(Digikam::ThumbnailInfo const&, Digikam::ThumbnailImage const&) const () from /usr/lib/libdigikamcore.so.2
#13 0x00007f594676ee76 in Digikam::ThumbnailCreator::load(QString const&, QRect const&, bool) const () from /usr/lib/libdigikamcore.so.2
#14 0x00007f594676ea38 in Digikam::ThumbnailCreator::load(QString const&) const () from /usr/lib/libdigikamcore.so.2
#15 0x00007f594677d905 in Digikam::ThumbnailLoadingTask::execute() () from /usr/lib/libdigikamcore.so.2
#16 0x00007f59467586d1 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.2
#17 0x00007f5946796c78 in Digikam::DynamicThread::DynamicThreadPriv::run() () from /usr/lib/libdigikamcore.so.2
#18 0x00007f594332845d in QThreadPoolThread::run (this=0x139748a0) at concurrent/qthreadpool.cpp:107
#19 0x00007f5943334aec in QThreadPrivate::start (arg=0x139748a0) at thread/qthread_unix.cpp:338
#20 0x00007f593de3be9a in start_thread (arg=0x7f58b9bd8700) at pthread_create.c:308
#21 0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#22 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f58c3fff700 (LWP 21677)):
#0  0x00007f593e7c7fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f593e7c682e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f593de3be9a in start_thread (arg=0x7f58c3fff700) at pthread_create.c:308
#3  0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f58c37fe700 (LWP 21678)):
#0  0x00007f593e7c7fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f593e7c682e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f593de3be9a in start_thread (arg=0x7f58c37fe700) at pthread_create.c:308
#3  0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f58b3fff700 (LWP 21679)):
#0  0x00007f593e7c7fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f593e7c682e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f593de3be9a in start_thread (arg=0x7f58b3fff700) at pthread_create.c:308
#3  0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f58b0d3c700 (LWP 28153)):
[KCrash Handler]
#6  0x00007f59465bf378 in Digikam::TIFFLoader::load(QString const&, Digikam::DImgLoaderObserver*) () from /usr/lib/libdigikamcore.so.2
#7  0x00007f594658631e in Digikam::DImg::load(QString const&, int, Digikam::DImgLoaderObserver*, Digikam::DRawDecoding) () from /usr/lib/libdigikamcore.so.2
#8  0x00007f5946585d3b in Digikam::DImg::load(QString const&, bool, bool, bool, bool, Digikam::DImgLoaderObserver*, Digikam::DRawDecoding) () from /usr/lib/libdigikamcore.so.2
#9  0x00007f5946770aeb in Digikam::ThumbnailCreator::loadWithDImg(QString const&, Digikam::IccProfile*) const () from /usr/lib/libdigikamcore.so.2
#10 0x00007f594677026c in Digikam::ThumbnailCreator::createThumbnail(Digikam::ThumbnailInfo const&, QRect const&, bool) const () from /usr/lib/libdigikamcore.so.2
#11 0x00007f594676ee03 in Digikam::ThumbnailCreator::load(QString const&, QRect const&, bool) const () from /usr/lib/libdigikamcore.so.2
#12 0x00007f594676e8b8 in Digikam::ThumbnailCreator::pregenerate(QString const&) const () from /usr/lib/libdigikamcore.so.2
#13 0x00007f594677d435 in Digikam::ThumbnailLoadingTask::execute() () from /usr/lib/libdigikamcore.so.2
#14 0x00007f59467586d1 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.2
#15 0x00007f5946796c78 in Digikam::DynamicThread::DynamicThreadPriv::run() () from /usr/lib/libdigikamcore.so.2
#16 0x00007f594332845d in QThreadPoolThread::run (this=0x151e24d0) at concurrent/qthreadpool.cpp:107
#17 0x00007f5943334aec in QThreadPrivate::start (arg=0x151e24d0) at thread/qthread_unix.cpp:338
#18 0x00007f593de3be9a in start_thread (arg=0x7f58b0d3c700) at pthread_create.c:308
#19 0x00007f594255dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#20 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f59491c3a00 (LWP 6704)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f594333504b in wait (time=18446744073709551615, this=0xf4baa70) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xf4baa20, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f5946797332 in Digikam::DynamicThread::wait(QMutexLocker&) () from /usr/lib/libdigikamcore.so.2
#4  0x00007f5946796f04 in Digikam::DynamicThread::shutDown() () from /usr/lib/libdigikamcore.so.2
#5  0x00007f594675a019 in Digikam::ManagedLoadSaveThread::shutDown() () from /usr/lib/libdigikamcore.so.2
#6  0x00007f5946774af1 in Digikam::ThumbnailLoadThread::~ThumbnailLoadThread() () from /usr/lib/libdigikamcore.so.2
#7  0x00007f5946774bb0 in Digikam::ThumbnailLoadThread::~ThumbnailLoadThread() () from /usr/lib/libdigikamcore.so.2
#8  0x00007f594677473a in Digikam::._245::destroy() () from /usr/lib/libdigikamcore.so.2
#9  0x00007f594659325d in KCleanUpGlobalStatic::~KCleanUpGlobalStatic() () from /usr/lib/libdigikamcore.so.2
#10 0x00007f59424a5901 in __run_exit_handlers (status=1, listp=0x7f59428226a8 <__exit_funcs>, run_list_atexit=true) at exit.c:78
#11 0x00007f59424a5985 in __GI_exit (status=<optimized out>) at exit.c:100
#12 0x00007f5943e7cb78 in qt_xio_errhandler () at kernel/qapplication_x11.cpp:781
#13 0x00007f5944b19fb8 in KApplication::xioErrhandler (this=0x7fffdff90a00, dpy=0x1e6e180) at ../../kdeui/kernel/kapplication.cpp:419
#14 0x00007f5940a7559e in _XIOError () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#15 0x00007f5940a7303d in _XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#16 0x00007f5940a6460b in XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#17 0x00007f5943eb7a7c in x11EventSourceCheck (s=0x1e6b740) at kernel/qguieventdispatcher_glib.cpp:85
#18 0x00007f593b85f88c in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#19 0x00007f593b85fd22 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#20 0x00007f593b85fea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#21 0x00007f594345fbf6 in QEventDispatcherGlib::processEvents (this=0x1defbf0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#22 0x00007f5943eb7c1e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#23 0x00007f59434302bf in QEventLoop::processEvents (this=this@entry=0x7fffdff90440, flags=...) at kernel/qeventloop.cpp:149
#24 0x00007f5943430548 in QEventLoop::exec (this=0x7fffdff90440, flags=...) at kernel/qeventloop.cpp:204
#25 0x00007f5943435708 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#26 0x00000000006cbd33 in main ()

Possible duplicates by query: bug 312063, bug 308572, bug 307602, bug 307275, bug 307119.

Reported using DrKonqi
Comment 1 caulier.gilles 2013-01-21 07:32:26 UTC

*** This bug has been marked as a duplicate of bug 312063 ***
Comment 2 caulier.gilles 2022-01-22 16:50:40 UTC
Fixed with https://bugs.kde.org/show_bug.cgi?id=312063